Subject: [Healeys] spin-on oil filter question

From: richard mayor <[email-masked]>
Date: Thu, 28 Feb 2013 02:54:09 +0000 FILETIME=[E18F5820:01CE155E]

About 8 years ago I bought a 6 cylinder spin-on oil filter adapter that
mounted onto the original oil filter housing - at the point where the old
canister style filter was originally fitted.  It uses a KN oil filter part #
HP 2009. I don't recall from who or where I bought it or for how much. I think
I bought it because the other style adaptor had the oil filter coming within a
few millimeters from the starter motor electrical connections.  I didn't think
that was very prudent idea.  I now have a smaller gear reduction starter that
gives me more clearance and I want to sell this adapter and go with a straight
off the block adapter.  Can anyone out there give me any info about the
adapter I have that attaches to the original housing?

 This is for a street Healey car - not my race car.

Thanks, Richard Mayor
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys